clear
clc
% hold off
% clg
casesen on;
disp('');
disp('******************************************************************');
disp('');
disp('    Ce programme contient les caracteristiques inertielles')
disp('                et orbitales du satellite');
disp('');disp('');disp('');

disp('    POUR LES MODIFIER EDITEZ libr_dat.m sous un editeur quelconque');
disp('');disp('');disp('');
disp('******************************************************************');
disp('');disp('');disp('');
disp('                       OK parametrage fini');
disp('');disp('');disp('');disp('');disp('');


casesen on;
% Elements de la matrice d'inertie du satellite

Ir=80;
It=105;
Il=30;

% Caractristiques de l'orbite du satellite

altitude_orbite=417;		% altitude satellite en km
rayon_orbital=(6378+altitude_orbite)*1000;
vitesse_rotation=sqrt(39.86e13/rayon_orbital^3);
				% pulsation orbitale en rd/s


% Reprsentation d'tat du SCAO non perturb

Asat=[0 1 0 0 0 0;
   -4*(It-Il)*vitesse_rotation^2/Ir...
          0 0 0 0 -(Ir+Il-It)*vitesse_rotation/Ir;
   0 0 0 1 0 0;
   0 0 -3*(Ir-Il)*vitesse_rotation^2/It 0 0 0;
   0 0 0 0 0 1;
   0 (Ir+Il-It)*vitesse_rotation/Il...
          0 0 -(It-Ir)*vitesse_rotation^2/Il 0];

Bsat=[0 0 0;
   1/Ir 0 0;
   0 0 0;
   0 1/It 0;
   0 0 0;
   0 0 1/Il];


disp('   Pour continuer appuyez sur une touche');

clc;

disp('***********************************************************');
disp('');
disp('    Conseil:donnez un temps de l''ordre de 2 a 3 periodes');
disp('');

tsim=input('          Temps de simulation (s) : ');

disp('');
disp('***********************************************************');

disp('');
disp('    Conseil: donnez environ 1000 points par periode orbitale');
disp('');

nbre_points=input('         Nombre de points de calcul : ');

disp('');
disp('***********************************************************');
disp('');
disp('   On vous demande le nombre de points de memorisation  de Matlab ');
disp('      pour le trace des courbes des variables de sortie');
disp('');
disp('   Conseil :ce nombre doit etre superieur au nombre de pas');
disp('            de la simulation');

points_trace=input('    Nombre points memorisation trace des courbes : ');

disp('');

disp('***********************************************************');


t=0:tsim/nbre_points:tsim;

disp('');
disp('***********************************************************');
disp('');
disp('   Pour connaitre les variables disponibles tapez    whos');
disp('');
disp('***********************************************************');




end

disp('    Executez maintenant libr_sim.m pour simuler le modele libre');

disp('');disp('');
disp('               libr_sim est un schema bloc sous Simulink');

disp('               Pour voir les courbes : tapez libr_vis programme de visualisation');

end;